<div class="container">
    <div class="form-signin">
        <form #f="ngForm" (ngSubmit)="login()">
            <div class="card-body">
                <div class= "wrap-title">
                    <h3 class="card-title">Login</h3>
                </div>

                <div class="form-group">
                    <label for="email">Email</label>
                    <input type="email"
                           class="form-control" id="email"
                           placeholder="Email Address"
                           [(ngModel)]="jwtAuthenticationRequest.username"
                           name="username">
                </div>

                <div class="form-group">
                    <label for="email">Password</label>
                    <input type="password"
                           class="form-control" id="password"
                           placeholder="Password"
                           [(ngModel)]="jwtAuthenticationRequest.password"
                           name="password">
                </div>

                <div class="submit">
                    <button type="submit" class="btn btn-primary" [disabled]="!f.valid">Login</button>
                </div>
            </div>
        </form>
    </div>
</div>
